-- 运镖送达对话面板
Lua_FinishYunBiaoWindow = class("Lua_FinishYunBiaoWindow", Lua_Window);
function Lua_FinishYunBiaoWindow:ctor()
	self:superCall("ctor");

	self.blackAlpha = 180 / 255;
	self.isClickClose = true;
	self.showClose = false;

	self.windowName = "Lua_FinishYunBiaoWindow";
	self.skinName = "FinishYunBiaoWindow_skin";
end

function Lua_FinishYunBiaoWindow:buildShowItem()
	self:superCall("buildShowItem");

	-- self.stage = Lua_WindowUtil.getWinData(self.windowName,true);
	-- if(self.stage ==2) then
	-- 	self.tipsTxt.mainContent:SetActive(false);
	-- 	self.funBtn2.mainContent:SetActive(false);
	-- 	self.funBtn1:setLocation(0,-105);
	-- 	self.funBtn1.label = "提交";
	-- end
	self.npcImg:setEnable(false);
	
	self.npcWinBg.clickScale = false;
	self.npcWinBg:addClickFuntion(self, self.onBgClick);
	
	self.getRewardBtn:addClickFuntion(self, self.onShowRewardBtn);

	self:addLuaEvent("FINISH_YUNBIAO_PANEL_UPDATE", self, self.updatePanel);
	DataCenter.yunBiaoData:sStopYunBiao(1);
end

function Lua_FinishYunBiaoWindow:showWin(param)
	self:superCall("showWin", param);

	self.npc = param.npc;
	self.npcNameTxt.text = self.npc.kind;
	if self.npc.imgUrl ~= nil then
		self.npcImg:SetDimensions(0, 0);
		self.npcImg:setUrl(self.npc.imgUrl);
		self.npcImg:setEnable(true);
	end

	self.npcPoint = Vector3(self.npc.posX, self.npc.posY, self.npc.posZ);
	Lua_CommonUtil.addTimer("NpcDistanceCloseNpcTalk", 0.1, self, self.checkDistanceClose);

	self.taskVo = param.taskVo;
	self.taskNameTxt.text = self.taskVo.curUIDesc.title;
	self.descTxt.text = self.taskVo.curUIDesc.decs;
end

function Lua_FinishYunBiaoWindow:checkDistanceClose()
	local rolePlayer = ThingUtil.instance:getThingById(DataCenter.roleData.roleId);
	if rolePlayer ~= nil then
		local sp = rolePlayer.currentPoint;
		if Vector3.Distance(sp,self.npcPoint) > 200 then
			self:hide();
		end
	end
end

function Lua_FinishYunBiaoWindow:onShowRewardBtn()
	self:hide();
	Lua_WindowUtil.openWin("Lua_SettlementWindow", WinParam.ACTION_OPEN);
end

function Lua_FinishYunBiaoWindow:updatePanel()
	local itemImg;
	for i = 1, 2 do
		itemImg = Lua_ToolImage.new(self.content);
		itemImg.data = DataCenter.yunBiaoData.settlementData.reward[i];
		itemImg:setScale(0.8, 0.8);
		itemImg:setDepth(10);
		itemImg:setLocation(150 + (i - 1) * 75, -285, 0);
	end
end

function Lua_FinishYunBiaoWindow:dispose()
	Lua_CommonUtil.removeTimer(self,self.checkDistanceClose);
	self:superCall("dispose");
end