-- 运镖结算界面
Lua_SettlementWindow = class("Lua_SettlementWindow", Lua_FullSizeWindow);
function Lua_SettlementWindow:ctor()
	self:superCall("ctor", nil, nil, nil, nil, false, false);

	self.windowName = "Lua_SettlementWindow";
	self.skinName = "SettlementWindow_skin";
	self.showClose = false;
end

function Lua_SettlementWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.cancelBtn:addClickFuntion(self, self.hide);
	self.sureBtn:addClickFuntion(self, self.onSureClick);

	self:addLuaEvent("FINISH_YUNBIAO_PANEL_UPDATE", self, self.updatePanel);
	DataCenter.yunBiaoData:sStopYunBiao(2);
end

function Lua_SettlementWindow:updatePanel()
	self.tipsTxt1.text = LanUtil.formateStr(LanUtil.getValue(122105), tostring(DataCenter.yunBiaoData.settlementData.percent));

	local leftTimes = DataCenter.yunBiaoData.settlementData.leftTimes;
	if leftTimes > 0 then
		self.tipsTxt2.text = LanUtil.formateStr(LanUtil.getValue(122106), tostring(DataCenter.yunBiaoData.settlementData.leftTimes));
	else
		self.tipsTxt2.text = LanUtil.getValue(122110);
		self.cancelBtn:setLocation(0, -153, 0);
		self.sureBtn:setEnable(false);
	end

	self.time = DataCenter.yunBiaoData.countDown;
	self.countDownTxt.text = LanUtil.formateStr(LanUtil.getValue(122107), tostring(self.time + 1));
	Lua_CommonUtil.addTimer("yunBiaoCountDown", 1, self, self.countDown);

	local itemImg;
	for i = 1, 2 do
		itemImg = Lua_ToolImage.new(self.content);
		itemImg.data = DataCenter.yunBiaoData.settlementData.reward[i];
		itemImg:setDepth(10);
		itemImg:setLocation(-65 + (i - 1) * 130, 0, 0);
	end
end

function Lua_SettlementWindow:onSureClick(go)
	self:hide();
	Lua_MsgUtil.callFunc("GO_YUN_BIAO");
	-- local npc =  DataCenter.yunBiaoData:getNpcInfo(0);
	-- WorldMapUtil.moveTo(npc.sceneId, npc.pos[1], npc.pos[2], npc.pos[3], npc.npcId, 7, nil, 0);
end

function Lua_SettlementWindow:countDown()
	self.time = self.time - 1;
	if self.time < 0 then
		self:hide();
	end
	self.countDownTxt.text = LanUtil.formateStr(LanUtil.getValue(122107), tostring(self.time));
end

function Lua_SettlementWindow:dispose()
	Lua_CommonUtil.removeTimer(self, self.countDown);

	self:superCall("dispose");
end