Lua_YunBiaoCell = class("Lua_YunBiaoCell",Lua_ListCell);
function Lua_YunBiaoCell:ctor(p)
	self:superCall("ctor", p, "YunBiaoCell_skin");
end

function Lua_YunBiaoCell:buildShowItem()
	self:superCall("buildShowItem");

	self.dragList = Lua_DragList.new(self.content,1, Vector4(-20, 0, 220, 77));
	self.dragList:setLocation(0, -117, 0);
	self.dragList:setListCell(Lua_YunBiaoCellItem, 77, 90, 2);
	self.dragList.canDrag = false;

	self.escortBtn.txt.pivot = UIWidget.Pivot.Left;
	self.escortBtn:addClickFuntion(self, self.escortClick);

	self:addLuaEvent("PACK_UPDATE", self, self.onPackUpdate);
end

function Lua_YunBiaoCell:setData(data)
	self.data = data;
	if data == nil then
		return;
	end

	self.bg:setUrl("/images/daily/ui_daily_bg_" .. (data.lvl + 16) .. ".png");
	if self.modelEffect == nil then
		self.modelEffect = UIModelTexture();
		self.modelEffect:init(self.content, Vector2(0, 0), Vector2(250, 400), 12, Vector3(0, 180, 0), Vector2(0, -35), 0);
		self.modelEffect:setRotEnable(true, 0, 0, 250, 400, 2)
		self.modelEffect:setCamPos(10000, 0, 0);
		self.modelEffect:setCamView(3);
		self.modelEffect.uiEffect:setSacle(data.modelInfo.servant_sca[1], data.modelInfo.servant_sca[2], data.modelInfo.servant_sca[3]);
		self.modelEffect:setUrl(data.modelInfo.floder.."/"..data.modelInfo.fileName, data.modelInfo.modelName);
	end

	self.consume:setAltas(data.costInfo.atlas, data.costId)
	self.cellTitle.text = data.title;
	if data.needCount == 0 then
		self.consumeTxt.text = LanUtil.getValue(122116);
		self.consumeTxt:setLocation(0, -191);
	else
		self.consumeTxt.text = data.needCount;
		local width = self.consumeTxt.width - 12;
		self.consumeTxt:setLocation(-38 - width / 2, -191);
		self.consume:setLocation(-17 + width / 2, -191);
		self.escortBtn.txt:setLocation(3 + width / 2, 0);
	end
	self.consume:setEnable(data.needCount ~= 0);

	local itemList = Array();
	for i = 1, 2 do
		itemList:add({type = i, cellData = data});
	end
	self.dragList:setLuaArrayData(itemList, false);
end

function Lua_YunBiaoCell:onPackUpdate()
	if self.data.needCount == 0 then
		self.consumeTxt.text = LanUtil.getValue(122116);
		self.consumeTxt:setLocation(0, -191);
	else
		self.consumeTxt.text = self.data.needCount;
		local width = self.consumeTxt.width - 12;
		self.consumeTxt:setLocation(-38 - width / 2, -191);
		self.consume:setLocation(-17 + width / 2, -191);
		self.escortBtn.txt:setLocation(3 + width / 2, 0);
	end
	self.consume:setEnable(self.data.needCount ~= 0);
end

function Lua_YunBiaoCell:escortClick()
	if WindowMananger.getInstance():isWindowShowing("Lua_MailBoxWindow") then
		Lua_WindowUtil.openWin("Lua_MailBoxWindow", WinParam.ACTION_CLOSE);
	end
	
	if DataCenter.packData:getBagType(2):getItemNum(self.data.costId) < self.data.needCount then
		Lua_WindowUtil.openWin("Lua_ItemBuyWindow", nil, {itemId = self.data.costId, moneyType = Lua_MoneyData.GOLD_AND_BINDGOLD});
		DataCenter.yunBiaoData:sStartYunBiao(self.data.lvl);
		return;
	end

	local isShowTips = DataCenter.neverTip:getNeverValue(Lua_NeverTipData.DOUBLE_EXP_CAR_TIPS);
	local vo = DataCenter.allRtData.topRightIconDic[10025];
	if isShowTips or vo.canShow or DataCenter.yunBiaoData.escortTimes <= 0 then
		DataCenter.yunBiaoData:sStartYunBiao(self.data.lvl)
	else
		Lua_WindowUtil.openWin("Lua_DoubleExpCarTipsWindow", nil, {yunbiaoData = self.data.lvl});
	end
end

function Lua_YunBiaoCell:dispose()
	if self.dragList ~= nil then
		self.dragList:dispose();
		self.dragList = nil;
	end
	if self.modelEffect ~= nil then
		self.modelEffect:dispose();
		self.modelEffect = nil;
	end
	self.data = nil;
	
    self:superCall("dispose");
end





--------------------------------------------------





Lua_YunBiaoCellItem = class("Lua_YunBiaoCellItem",Lua_ListCell);
function Lua_YunBiaoCellItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_YunBiaoCellItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemImg = Lua_ToolImage.new(self.content);
	self.itemImg:setDepth(5);
	self.itemImg:setScale(0.92, 0.92);
	self.itemImg:setLocation(40, 0, 0);
end

function Lua_YunBiaoCellItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end
	if data.type == 1 then
		self.itemImg.data = Lua_ToolVo.new(209000006, data.cellData.rewardExp);
	elseif data.type == 2 then
		self.itemImg.data = Lua_ToolVo.new(209000001, data.cellData.rewardMoney);
	end
end

function Lua_YunBiaoCellItem:dispose()
	if self.itemImg ~= nil then
		self.itemImg:dispose();
		self.itemImg = nil;
	end
	self._data = nil;

	self:superCall("dispose");
end